NisusWrtParserInternal::Variable Struct Reference

Internal structure: use to store a numbering, a variable or a version. More...

## Public Member Functions

| Variable (NisusWrtStruct::VariableType type=NisusWrtStruct::V_None)
| Constructor.
bool | isDate () const
| returns true if this is a date
std::string | getDateFormat () const
| returns the date format

## Public Attributes

int | m_type
| the main type
NisusWrtStruct::VariableType | m_containerType
| the container type
long | m_fieldType
| the variable type
int | m_refId
| the reference id
libmwaw::NumberingType | m_numberingType
| the numbering type
int | m_startNumber
| the start number
int | m_increment
| the increment
std::string | m_prefix
| the prefix
std::string | m_suffix
| the suffix
int | m_dateFormat
| the date format
std::string | m_sample
| a sample used in a dialog ?
std::string | m_extra
| some extra debuging information

## Friends

std::ostream & | operator<< (std::ostream &o, Variable const &num)
| operator<<

## Detailed Description

Internal structure: use to store a numbering, a variable or a version.

## Constructor & Destructor Documentation

## Variable()

NisusWrtParserInternal::Variable::Variable | ( | NisusWrtStruct::VariableType | type = NisusWrtStruct::V_None | ) |

inline explicit

Constructor.

Referenced by operator<<.

## Member Function Documentation

## getDateFormat()

std::string NisusWrtParserInternal::Variable::getDateFormat | ( |  | ) | const

inline

returns the date format

Referenced by NisusWrtParser::readVariable().

## isDate()

bool NisusWrtParserInternal::Variable::isDate | ( |  | ) | const

inline

returns true if this is a date

Referenced by getDateFormat().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Variable const & | num )

friend

operator<<

## Member Data Documentation

## m_containerType

NisusWrtStruct::VariableType NisusWrtParserInternal::Variable::m_containerType

the container type

Referenced by operator<<, NisusWrtParser::readVariable(), and Variable().

## m_dateFormat

int NisusWrtParserInternal::Variable::m_dateFormat

the date format

Referenced by getDateFormat(), operator<<, NisusWrtParser::readVariable(), and Variable().

## m_extra

std::string NisusWrtParserInternal::Variable::m_extra

some extra debuging information

Referenced by operator<<, and Variable().

## m_fieldType

long NisusWrtParserInternal::Variable::m_fieldType

the variable type

Referenced by isDate(), operator<<, NisusWrtParser::readVariable(), and Variable().

## m_increment

int NisusWrtParserInternal::Variable::m_increment

the increment

Referenced by operator<<, NisusWrtParser::readVariable(), and Variable().

## m_numberingType

libmwaw::NumberingType NisusWrtParserInternal::Variable::m_numberingType

the numbering type

Referenced by operator<<, NisusWrtParser::readVariable(), and Variable().

## m_prefix

std::string NisusWrtParserInternal::Variable::m_prefix

the prefix

Referenced by operator<<, NisusWrtParser::readVariable(), and Variable().

## m_refId

int NisusWrtParserInternal::Variable::m_refId

the reference id

Referenced by operator<<, NisusWrtParser::readVariable(), and Variable().

## m_sample

std::string NisusWrtParserInternal::Variable::m_sample

a sample used in a dialog ?

Referenced by operator<<, NisusWrtParser::readVariable(), and Variable().

## m_startNumber

int NisusWrtParserInternal::Variable::m_startNumber

the start number

Referenced by operator<<, NisusWrtParser::readVariable(), and Variable().

## m_suffix

std::string NisusWrtParserInternal::Variable::m_suffix

the suffix

Referenced by operator<<, NisusWrtParser::readVariable(), and Variable().

## m_type

int NisusWrtParserInternal::Variable::m_type

the main type

Referenced by operator<<, NisusWrtParser::readVariable(), and Variable().

The documentation for this struct was generated from the following file:

- NisusWrtParser.cxx